package com.bokecc.livemodule.live.qa.qainputlayout;

import android.net.Uri;

/**
 * Copyright (C), 20105-2021, 创盛视联数码科技（北京）有限公司
 * FileName:
 * Author: huanghai
 * Date: 2023/3/3
 * Description:
 */
public class QaInputItemBean {

    /**
     * 图片未上传
     */
    public static final int IDLE = 0;
    /**
     * 图片上传中
     */
    public static final int STATE_UPLOADING = 1;
    /**
     * 上传成功
     */
    public static final int STATE_UPLOAD_SUCCESS = 2;
    /**
     * 上传失败
     */
    public static final int STATE_UPLOAD_FAILED = 3;
    /**
     * 当前状态
     */
    private int state;

    private String filePath;

    private Uri uri;

    private String warning;

    public String getWarning() {
        return warning;
    }

    public void setWarning(String warning) {
        this.warning = warning;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Uri getUri() {
        return uri;
    }

    public void setUri(Uri uri) {
        this.uri = uri;
    }
}
